List Outbound Requests
curl --request GET \
--url https://api.beachdepository.com/v1/outbound-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.beachdepository.com/v1/outbound-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.beachdepository.com/v1/outbound-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Outbound Requests
List Outbound Requests
List outbound requests
GET
/
outbound-requests
List Outbound Requests
Returns a paginated list of outbound requests for the organization.
Permission:
outbound_requests:read
Query parameters
number
default:"1"
1-indexed page number.
number
default:"25"
Number of results per page (max 100).
string
Filter by request status. One of
pending, pending_checkout, denied, fulfilling,
fulfilled, cancelled.string
Filter by FBO account ID
Response
{
"data": [
{
"id": "jd7abc123xyz",
"fboAccountId": "m97fbo456",
"organizationId": "k57orgxyz",
"status": "pending",
"totalItems": 2,
"approvedBySystem": false,
"notes": "Ship to primary address",
"createdAt": "2025-06-15T09:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
⌘I